public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Amith Kumar <apeetham@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: selinux-policy: Move rtkit daemon tests to upstream
Date: Fri, 11 Sep 2026 13:18:37 GMT [thread overview]
Message-ID: <178913271754.1.6402636292898039864.tests-selinux-5be146b0853f@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 5be146b0853ffebd29585b8c8ad7777fc2d6dc93
Author : Amith Kumar <apeetham@redhat.com>
Date : 2020-12-15T09:47:38+00:00
Stats : +202/-0 in 4 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/5be146b0853ffebd29585b8c8ad7777fc2d6dc93?branch=pr775-checkpolicy-revdeps
Log:
selinux-policy: Move rtkit daemon tests to upstream
Migrate cases from downstream test suite rtkit-deamon-and-similar to
upstream.
Signed-off-by: Amith Kumar <apeetham@redhat.com>
---
diff --git a/selinux-policy/rtkit-daemon-and-similar/Makefile b/selinux-policy/rtkit-daemon-and-similar/Makefile
new file mode 100644
index 0000000..a3328e9
--- /dev/null
+++ b/selinux-policy/rtkit-daemon-and-similar/Makefile
@@ -0,0 +1,72 @@
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Makefile of /CoreOS/selinux-policy/Regression/rtkit-daemon-and-similar
+# Description: the service was running as initrc_t, now it is confined by SELinux
+# Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Copyright (c) 2012 Red Hat, Inc. All rights reserved.
+#
+# This copyrighted material is made available to anyone wishing
+# to use, modify, copy, or redistribute it subject to the terms
+# and conditions of the GNU General Public License version 2.
+#
+# This program is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+export TEST=/CoreOS/selinux-policy/Regression/rtkit-daemon-and-similar
+export TESTVERSION=1.0
+
+BUILT_FILES=
+
+FILES=$(METADATA) runtest.sh Makefile PURPOSE
+
+.PHONY: all install download clean
+
+run: $(FILES) build
+ ./runtest.sh
+
+build: $(BUILT_FILES)
+ chmod a+x runtest.sh
+ chcon -t bin_t runtest.sh
+
+clean:
+ rm -f *~ $(BUILT_FILES)
+
+include /usr/share/rhts/lib/rhts-make.include
+
+$(METADATA): Makefile
+ @echo "Owner: Milos Malik <mmalik@redhat.com>" > $(METADATA)
+ @echo "Name: $(TEST)" >> $(METADATA)
+ @echo "TestVersion: $(TESTVERSION)" >> $(METADATA)
+ @echo "Path: $(TEST_DIR)" >> $(METADATA)
+ @echo "Description: SELinux interferes with rtkit-daemon and related programs" >> $(METADATA)
+ @echo "Type: Regression" >> $(METADATA)
+ @echo "TestTime: 10m" >> $(METADATA)
+ @echo "RunFor: selinux-policy" >> $(METADATA)
+ @echo "RunFor: rtkit" >> $(METADATA)
+ @echo "Requires: audit initscripts libselinux libselinux-utils policycoreutils selinux-policy selinux-policy-targeted glib2 setools-console rtkit" >> $(METADATA)
+ @echo "RhtsRequires: library(selinux-policy/common)" >> $(METADATA)
+ @echo "Priority: Normal" >> $(METADATA)
+ @echo "License: GPLv2" >> $(METADATA)
+ @echo "Confidential: no" >> $(METADATA)
+ @echo "Destructive: no" >> $(METADATA)
+ @echo "Environment: AVC_ERROR=+no_avc_check" >> $(METADATA)
+ @echo "Releases: -RHEL4 -RHEL5" >> $(METADATA)
+ @echo "Bug: 1626982" >> $(METADATA) # RHEL-7
+ @echo "Bug: 1703241" >> $(METADATA) # RHEL-8
+ @echo "Bug: 1720546" >> $(METADATA) # RHEL-7
+ @echo "Bug: 1873658" >> $(METADATA) # RHEL-8
+
+ rhts-lint $(METADATA)
+
diff --git a/selinux-policy/rtkit-daemon-and-similar/PURPOSE b/selinux-policy/rtkit-daemon-and-similar/PURPOSE
new file mode 100644
index 0000000..a19b8e9
--- /dev/null
+++ b/selinux-policy/rtkit-daemon-and-similar/PURPOSE
@@ -0,0 +1,5 @@
+PURPOSE of /CoreOS/selinux-policy/Regression/rtkit-daemon-and-similar
+Author: Milos Malik <mmalik@redhat.com>
+
+SELinux interferes with rtkit daemon and related programs.
+
diff --git a/selinux-policy/rtkit-daemon-and-similar/main.fmf b/selinux-policy/rtkit-daemon-and-similar/main.fmf
new file mode 100644
index 0000000..358e482
--- /dev/null
+++ b/selinux-policy/rtkit-daemon-and-similar/main.fmf
@@ -0,0 +1,4 @@
+path: /selinux-policy/rtkit-daemon-and-similar
+summary: SELinux interferes with rtkit daemon and related programs
+description: |
+ Test coverage for SELinux AVC issues against rtkit daemon and related programs.
diff --git a/selinux-policy/rtkit-daemon-and-similar/runtest.sh b/selinux-policy/rtkit-daemon-and-similar/runtest.sh
new file mode 100755
index 0000000..a0d647b
--- /dev/null
+++ b/selinux-policy/rtkit-daemon-and-similar/runtest.sh
@@ -0,0 +1,121 @@
+#!/bin/bash
+# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# runtest.sh of /CoreOS/selinux-policy/Regression/rtkit-daemon-and-similar
+# Description: the service was running as initrc_t, now it is confined by SELinux
+# Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Copyright (c) 2012 Red Hat, Inc. All rights reserved.
+#
+# This copyrighted material is made available to anyone wishing
+# to use, modify, copy, or redistribute it subject to the terms
+# and conditions of the GNU General Public License version 2.
+#
+# This program is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+# Include Beaker environment
+. /usr/bin/rhts-environment.sh || exit 1
+. /usr/share/beakerlib/beakerlib.sh || exit 1
+
+PACKAGE="selinux-policy"
+ROOT_PASSWORD="redhat"
+FILE_PATH="/usr/libexec/rtkit-daemon"
+FILE_CONTEXT="rtkit_daemon_exec_t"
+SERVICE_PACKAGE="rtkit"
+SERVICE_NAME="rtkit-daemon"
+PROCESS_NAME="rtkit-daemon"
+PROCESS_CONTEXT="rtkit_daemon_t"
+
+rlJournalStart
+ rlPhaseStartSetup
+ rlRun "rlImport 'selinux-policy/common'"
+ rlSESatisfyRequires
+ rlAssertRpm ${PACKAGE}
+ rlAssertRpm ${PACKAGE}-targeted
+ rlAssertRpm ${SERVICE_PACKAGE}
+
+ rlServiceStop ${SERVICE_NAME}
+ rlFileBackup /etc/shadow
+
+ rlSESetEnforce
+ rlSEStatus
+ rlSESetTimestamp
+ sleep 2
+ rlPhaseEnd
+
+ rlPhaseStartTest "SELinux contexts and rules"
+ rlSEMatchPathCon "${FILE_PATH}" "${FILE_CONTEXT}"
+ rlSESearchRule "allow initrc_t ${FILE_CONTEXT} : file { getattr open read execute }"
+ rlSESearchRule "allow initrc_t ${PROCESS_CONTEXT} : process { transition }"
+ rlSESearchRule "type_transition initrc_t ${FILE_CONTEXT} : process ${PROCESS_CONTEXT}"
+ rlPhaseEnd
+
+ if ! rlIsRHEL 5 6 ; then
+ rlPhaseStartTest "bz#1626982"
+ rlSEMatchPathCon "/usr/libexec/rtkit-daemon" "rtkit_daemon_exec_t"
+ rlSESearchRule "allow rtkit_daemon_t pulseaudio_t : dbus { send_msg } [ ]"
+ rlSESearchRule "allow pulseaudio_t rtkit_daemon_t : dbus { send_msg } [ ]"
+ rlPhaseEnd
+
+ rlPhaseStartTest "bz#1703241 + bz#1720546"
+ rlSEMatchPathCon "/usr/libexec/rtkit-daemon" "rtkit_daemon_exec_t"
+ rlSESearchRule "allow rtkit_daemon_t sysadm_t : dbus { send_msg } [ ]"
+ rlSESearchRule "allow sysadm_t rtkit_daemon_t : dbus { send_msg } [ ]"
+ rlPhaseEnd
+ fi
+
+ if ! rlIsRHEL 5 ; then
+ rlPhaseStartTest "real scenario -- DBus service"
+ DESTINATION="org.freedesktop.RealtimeKit1"
+ rlRun "gdbus introspect --system --object-path / --dest ${DESTINATION} >& /dev/null"
+ sleep 1
+ rlRun "ps -efZ | grep -v grep | grep ${PROCESS_NAME}"
+ rlRun "ps -efZ | grep -v grep | grep \"${PROCESS_CONTEXT}.*${PROCESS_NAME}\""
+ rlPhaseEnd
+ fi
+
+ if rlIsFedora || rlIsRHEL ">8.3" ; then
+ rlPhaseStartTest "bz#1873658"
+ rlSESearchRule "allow rtkit_daemon_t rtkit_daemon_t : cap_userns { sys_ptrace } [ ]"
+ rlPhaseEnd
+ fi
+
+ if ! rlIsRHEL 5 6 ; then
+ rlPhaseStartTest "real scenario -- standalone service"
+ rlRun "echo ${ROOT_PASSWORD} | passwd --stdin root"
+ if ! rlSEDefined ${PROCESS_CONTEXT} ; then
+ if rlIsRHEL 5 6 ; then
+ PROCESS_CONTEXT="initrc_t"
+ else
+ PROCESS_CONTEXT="unconfined_service_t"
+ fi
+ fi
+ rlSEService ${ROOT_PASSWORD} ${SERVICE_NAME} ${PROCESS_NAME} ${PROCESS_CONTEXT} "start status" 1
+ rlRun "restorecon -Rv /run /var"
+ rlSEService ${ROOT_PASSWORD} ${SERVICE_NAME} ${PROCESS_NAME} ${PROCESS_CONTEXT} "restart status stop status" 1
+ rlPhaseEnd
+ fi
+
+ rlPhaseStartCleanup
+ sleep 2
+ rlSECheckAVC
+
+ rlFileRestore
+ rlServiceRestore ${SERVICE_NAME}
+ rlPhaseEnd
+rlJournalPrintText
+rlJournalEnd
+
reply other threads:[~2026-09-11 13:18 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178913271754.1.6402636292898039864.tests-selinux-5be146b0853f@fedoraproject.org \
--to=apeetham@redhat.com \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox